#

# sane-matsushita.5

    sane-matsushita(5)       SANE Scanner Access Now Easy       sane-matsushita(5)

## NAME

           sane-matsushita - SANE backend for Panasonic KV-SS high speed scanners

## DESCRIPTION

           The sane-matsushita library implements a SANE (Scanner Access Now Easy)
           backend that provides access to some Panasonic KV-SS high  speed  scan-
           ners. This backend is stable.

           At present, the following scanners are known to work with this backend:

                    Product id
                  --------------
                     KV-SS 25
                     KV-SS 25D

           Other Panasonic high speed scanners may or may not work with that back-
           end.

           Valid command line options and their syntax can be listed by using
                  scanimage --help -d matsushita

           Scan Mode

           --mode selects the basic mode of operation of the scanner.

           --resolution
                  selects  the resolution for a scan. Each model supports all or a
                  subset of these resolutions: 100, 150, 200, 240, 300, 360,  400.

           --duplex
                  indicates whether to scan both side of the sheet.

           --feeder-mode
                  selects  the  number  of pages to scan (one or until the tray is
                  empty).

           Geometry

           --paper-size A4|...|Legal|Letter [A4]
                  options selects the area to scan. It adjust  the  -l  -t  -x  -y
                  options accordingly. It does not need to be the real size of the
                  paper.

           -l -t -x -y
                  control the scan area: -l sets the top left x coordinate, -t the
                  top left y coordinate, -x selects the width and -y the height of
                  the scan aea. All parameters are specified in milimeters. It  is
                  possible to use the option --paper-size instead.

           Enhancement

           --brightness
                  controls  the brightness of the acquired image. The value varies
                  from 1 to 255, or less, depending on the scanner model.

           --contrast
                  controls the contrast of the acquired image. Some models do  not
                  support that option.

           --automatic-threshold
                  automatically  sets  brightness,  contrast,  white level, gamma,
                  noise reduction and image emphasis. These options are not avail-
                  able when automatic-threshold is in use.

           --halftone-pattern
                  option  sets  the tonal gradation for the halftone mode. Pattern
                  downloading is not implemented by the backend.

           --autoseparation
                  provides automatic separation of text and images.

           --white-level
                  option indicate the source of the white base.

           --noise-reduction
                  reduces the isolated dot noise. This option is not supported  by
                  all scanners.

           --image-emphasis
                  option sets the image emphasis. Some selection are not available
                  on all scanners.

           --gamma
                  options set the gamma curve. It is only valid  for  Gray  modes,
                  and  is  not available on all scanners. Gamma downloading is not
                  implemented by the backend.

## CONFIGURATION FILE

           The configuration file  /usr/local/etc/sane.d/matsushita.conf  supports
           the device name to use (eg /dev/scanner) and the scsi option to autode-
           tect the scanners supported.

## FILES

           /usr/local/lib/sane/libsane-matsushita.a
                  The static library implementing this backend.

           /usr/local/lib/sane/libsane-matsushita.so
                  The shared library implementing this backend (present on systems
                  that support dynamic loading).

## ENVIRONMENT

           SANE_DEBUG_MATSUSHITA
                  If  the  library  was  compiled with debug support enabled, this
                  environment variable controls the debug level for this  backend.
                  E.g.,  a  value  of 128 requests all debug output to be printed.
                  Smaller levels reduce verbosity.

## LIMITATIONS

           Memory in the KV-SS 25
                  The KV-SS 25 has not enough internal memory to scan a  whole  A4
                  page  in duplex mode at high densities. The frontend will return
                  a memory error in that case. Apparently, the KV-SS 25D  has  not
                  that problem.

           Pattern and gamma downloading
                  The  scanner,  with the proper firmware, can download a halftone
                  pattern and a gamma table. This is not implemented.

           Sub-areas
                  The scanner can support up to 3 sub-areas on each side to define
                  some more precise enhancment options. This is not implemented.

           Duplex mode
                  The  backend  does  not support the setting of different options
                  for each side.  The  scan  will  occur  with  the  same  options
                  (halftone pattern, brightness, image emphasis) for both sides.

## SCANNING EXAMPLE

           To  date, the only frontend capable of using this scanner at full speed
           is scanadf.

           A scanadf command line would be:

           scanadf  -d  matsushita  --output-file  scan%04d.pbm  --start-count   0
           --duplex --resolution 300 --feeder-mode="All pages" --paper-size="A4"

## BUGS

           None known.

## SEE ALSO

           sane-scsi(5), scanimage(1), xscanimage(1), xsane(1), sane(7)

## AUTHOR

           The package is actively maintained by Frank Zago.
               http://fz.eryx.net/sane/#matsushita

    sane-backends 1.0.12-cvs        April 21s, 2002             sane-matsushita(5)